Package relaxngcc.automaton

# Class Alphabet.Ref

java.lang.Object
relaxngcc.automaton.Alphabet
relaxngcc.automaton.Alphabet.Ref

Enclosing class:
  `Alphabet`

public static final class Alphabet.Ref extends Alphabet
Alphabet of the type "ref."

## Nested Class Summary

## Nested classes/interfaces inherited from class relaxngcc.automaton.Alphabet

`Alphabet.DataText, Alphabet.EnterAttribute, Alphabet.EnterElement, Alphabet.ForAction, Alphabet.Fork, Alphabet.LeaveAttribute, Alphabet.LeaveElement, Alphabet.Markup, Alphabet.Ref, Alphabet.Text, Alphabet.ValueText`

## Field Summary

### Fields inherited from class relaxngcc.automaton.Alphabet

`_locator, DATA_TEXT, ENTER_ATTRIBUTE, ENTER_ELEMENT, FOR_ACTION, FORK, LEAVE_ATTRIBUTE, LEAVE_ELEMENT, REF_BLOCK, VALUE_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`Ref(ScopeInfo target, String alias, String params, Locator loc)`
`Ref(ScopeInfo _target, Locator loc)`

## Method Summary

Modifier and Type
Method
Description
`Alphabet.Ref`
`asRef()`
`boolean`
`equals(Object o)`
`String`
`getAlias()`
`String`
`getParams()`
`ScopeInfo`
`getTargetScope()`
Gets the child scope to be spawned.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class relaxngcc.automaton.Alphabet

`asDataText, asEnterAttribute, asEnterElement, asForAction, asFork, asLeaveAttribute, asLeaveElement, asMarkup, asText, asValueText, getType, isDataText, isEnterAttribute, isEnterElement, isForAction, isFork, isLeaveAttribute, isLeaveElement, isMarkup, isRef, isText, isValueText, printLocator`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Ref

public Ref(ScopeInfo target, String alias, String params, Locator loc)

### Ref

public Ref(ScopeInfo _target, Locator loc)

## Method Details

### asRef

public Alphabet.Ref asRef()

Overrides:
  `asRef` in class `Alphabet`

### getTargetScope

public ScopeInfo getTargetScope()
Gets the child scope to be spawned.

### getParams

public String getParams()

### getAlias

public String getAlias()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in class `Alphabet`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Alphabet`